Open CASCADE Technology: BRepApprox_TheComputeLineBezierOfApprox Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepApprox_TheComputeLineBezierOfApprox Class Reference

`#include <BRepApprox_TheComputeLineBezierOfApprox.hxx>`

## Public Member Functions
| BRepApprox_TheComputeLineBezierOfApprox (const BRepApprox_TheMultiLineOfApprox &Line, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-3, const Standard_Real Tolerance2d=1.0e-6, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
| BRepApprox_TheComputeLineBezierOfApprox (const BRepApprox_TheMultiLineOfApprox &Line, const math_Vector &Parameters, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Standard_Boolean Squares=Standard_False)
| BRepApprox_TheComputeLineBezierOfApprox (const math_Vector &Parameters, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Standard_Boolean Squares=Standard_False)
| BRepApprox_TheComputeLineBezierOfApprox (const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
void | Init (const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
void | Perform (const BRepApprox_TheMultiLineOfApprox &Line)
void | SetDegrees (const Standard_Integer degreemin, const Standard_Integer degreemax)
void | SetTolerances (const Standard_Real Tolerance3d, const Standard_Real Tolerance2d)
void | SetConstraints (const AppParCurves_Constraint firstC, const AppParCurves_Constraint lastC)
Standard_Boolean | IsAllApproximated () const
Standard_Boolean | IsToleranceReached () const
void | Error (const Standard_Integer Index, Standard_Real &tol3d, Standard_Real &tol2d) const
Standard_Integer | NbMultiCurves () const
const AppParCurves_MultiCurve & | Value (const Standard_Integer Index=1) const
AppParCurves_MultiCurve & | ChangeValue (const Standard_Integer Index=1)
const AppParCurves_MultiBSpCurve & | SplineValue ()
void | Parametrization (Approx_ParametrizationType &partype) const
const TColStd_Array1OfReal & | Parameters (const Standard_Integer Index=1) const

## Constructor & Destructor Documentation

BRepApprox_TheComputeLineBezierOfApprox::BRepApprox_TheComputeLineBezierOfApprox | ( | const BRepApprox_TheMultiLineOfApprox & | Line,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-3`,
|  | const Standard_Real | Tolerance2d = `1.0e-6`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

BRepApprox_TheComputeLineBezierOfApprox::BRepApprox_TheComputeLineBezierOfApprox | ( | const BRepApprox_TheMultiLineOfApprox & | Line,
|  | const math_Vector & | Parameters,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

BRepApprox_TheComputeLineBezierOfApprox::BRepApprox_TheComputeLineBezierOfApprox | ( | const math_Vector & | Parameters,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

BRepApprox_TheComputeLineBezierOfApprox::BRepApprox_TheComputeLineBezierOfApprox | ( | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

## Member Function Documentation

AppParCurves_MultiCurve& BRepApprox_TheComputeLineBezierOfApprox::ChangeValue | ( | const Standard_Integer | Index = `1` | ) |

void BRepApprox_TheComputeLineBezierOfApprox::Error | ( | const Standard_Integer | Index,
|  | Standard_Real & | tol3d,
|  | Standard_Real & | tol2d
| ) |  | const

void BRepApprox_TheComputeLineBezierOfApprox::Init | ( | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

Standard_Boolean BRepApprox_TheComputeLineBezierOfApprox::IsAllApproximated | ( |  | ) | const

Standard_Boolean BRepApprox_TheComputeLineBezierOfApprox::IsToleranceReached | ( |  | ) | const

Standard_Integer BRepApprox_TheComputeLineBezierOfApprox::NbMultiCurves | ( |  | ) | const

const TColStd_Array1OfReal& BRepApprox_TheComputeLineBezierOfApprox::Parameters | ( | const Standard_Integer | Index = `1` | ) | const

void BRepApprox_TheComputeLineBezierOfApprox::Parametrization | ( | Approx_ParametrizationType & | partype | ) | const

void BRepApprox_TheComputeLineBezierOfApprox::Perform | ( | const BRepApprox_TheMultiLineOfApprox & | Line | ) |

void BRepApprox_TheComputeLineBezierOfApprox::SetConstraints | ( | const AppParCurves_Constraint | firstC,
|  | const AppParCurves_Constraint | lastC
| ) |  |

void BRepApprox_TheComputeLineBezierOfApprox::SetDegrees | ( | const Standard_Integer | degreemin,
|  | const Standard_Integer | degreemax
| ) |  |

void BRepApprox_TheComputeLineBezierOfApprox::SetTolerances | ( | const Standard_Real | Tolerance3d,
|  | const Standard_Real | Tolerance2d
| ) |  |

const AppParCurves_MultiBSpCurve& BRepApprox_TheComputeLineBezierOfApprox::SplineValue | ( |  | ) |

const AppParCurves_MultiCurve& BRepApprox_TheComputeLineBezierOfApprox::Value | ( | const Standard_Integer | Index = `1` | ) | const

The documentation for this class was generated from the following file:

- BRepApprox_TheComputeLineBezierOfApprox.hxx